Bug 972427 - symlink error: File name too long
Summary: symlink error: File name too long
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: unzip   
(Show other bugs)
Version: 18
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michal Luscon
QA Contact: Fedora Extras Quality Assurance
URL: http://git.661346.n2.nabble.com/quot-...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-09 10:30 UTC by Rolf Fokkens
Modified: 2014-03-03 03:09 UTC (History)
3 users (show)

Fixed In Version: unzip-6.0-11.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-24 03:43:19 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A fix for the unzip60 bug as long as the fix isn't adopted by the unzip60 people (451 bytes, patch)
2013-06-09 10:30 UTC, Rolf Fokkens
no flags Details | Diff
F18 SPEC file applying the patch (11.16 KB, patch)
2013-06-09 10:34 UTC, Rolf Fokkens
no flags Details | Diff

Description Rolf Fokkens 2013-06-09 10:30:06 UTC
Created attachment 758718 [details]
A fix for the unzip60 bug as long as the fix isn't adopted by the unzip60 people

Description of problem:
During unzip of Raspberry Pi kernel rpi-3.9.y downloaded from GitHub the following error appears:
symlink error: File name too long

Version-Release number of selected component (if applicable):
unzip-6.0-7.fc18.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Download https://github.com/raspberrypi/linux/tree/rpi-3.9.y as Zip
2. unzup the rpi-3.9.y Zip file
3. Enjoy the error symlink error: File name too long

Actual results:
symlink error: File name too long

Expected results:
Successful zip

Additional info:
http://git.661346.n2.nabble.com/quot-git-archive-quot-seems-to-be-broken-wrt-zip-files-td6780039.html

Comment 1 Rolf Fokkens 2013-06-09 10:34:56 UTC
Created attachment 758719 [details]
F18 SPEC file applying the patch

Comment 2 Fedora Update System 2013-11-19 13:25:51 UTC
unzip-6.0-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/unzip-6.0-11.fc18

Comment 3 Fedora Update System 2013-11-19 13:28:04 UTC
unzip-6.0-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/unzip-6.0-11.fc19

Comment 4 Fedora Update System 2013-11-19 13:30:19 UTC
unzip-6.0-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/unzip-6.0-12.fc20

Comment 5 Fedora Update System 2013-11-19 21:53:43 UTC
Package unzip-6.0-12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing unzip-6.0-12.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21739/unzip-6.0-12.fc20
then log in and leave karma (feedback).

Comment 6 lnie 2013-11-20 05:36:40 UTC
unzip-6.0-12.fc20 works fine

Comment 7 Ramilton Costa Gomes Júnior 2013-11-22 17:12:11 UTC
after the command unzip linux-rpi-3.9.y.zip

appeared to me the error.

symlink error: File name too long

Comment 8 Fedora Update System 2013-11-24 03:43:19 UTC
unzip-6.0-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-03-03 03:09:06 UTC
unzip-6.0-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.